Personal profile, blog & website
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 
 
 

311 lines
5.8 KiB

#
# This file is autogenerated by pip-compile with python 3.8
# To update, run:
#
# pip-compile
#
-e ./m.css
# via -r requirements.in
-e .
# via -r requirements.in
-e ./src/pelican-planet
# via -r requirements.in
aiodns==3.0.0
# via aiohttp
aiohttp[speedups]==3.8.1
# via
# -r requirements.in
# aiohttp-client-cache
# pelican-planet
aiohttp-client-cache[sqlite]==0.5.2
# via pelican-planet
aiosignal==1.2.0
# via aiohttp
aiosqlite==0.16.1
# via aiohttp-client-cache
arrow==1.2.1
# via jinja2-time
asttokens==2.0.5
# via stack-data
async-timeout==4.0.2
# via
# -r requirements.in
# aiohttp
attrs==21.4.0
# via
# aiohttp
# aiohttp-client-cache
# jsonschema
backcall==0.2.0
# via ipython
beautifulsoup4==4.7.1
# via
# -r requirements.in
# webmention-tools
binaryornot==0.4.4
# via cookiecutter
black==21.12b0
# via ipython
bleach==4.1.0
# via
# -r requirements.in
# nbconvert
# pelican-planet
blinker==1.4
# via pelican
brotli==1.0.9
# via aiohttp
cchardet==2.1.7
# via aiohttp
certifi==2021.10.8
# via requests
cffi==1.15.0
# via pycares
chardet==4.0.0
# via binaryornot
charset-normalizer==2.0.10
# via
# aiohttp
# requests
click==8.0.3
# via
# black
# cookiecutter
colorama==0.4.4
# via rich
commonmark==0.9.1
# via rich
cookiecutter==1.7.3
# via -r requirements.in
cssutils==2.3.0
# via -r requirements.in
decorator==5.1.1
# via ipython
defusedxml==0.7.1
# via
# -r requirements.in
# nbconvert
docopt==0.6.2
# via webmention-tools
docutils==0.18.1
# via
# pelican
# pelican-ashwinvis
# restructuredtext-lint
entrypoints==0.3
# via
# jupyter-client
# nbconvert
executing==0.8.2
# via stack-data
feedgenerator==2.0.0
# via pelican
feedparser==6.0.8
# via
# -r requirements.in
# pelican-planet
frozenlist==1.2.0
# via
# aiohttp
# aiosignal
ghp-import==2.0.2
# via -r requirements.in
idna==3.3
# via
# requests
# yarl
importlib-resources==5.4.0
# via jsonschema
invoke==1.6.0
# via -r requirements.in
ipython==8.0.0
# via pelican-liquid-tags
ipython-genutils==0.2.0
# via nbformat
itsdangerous==2.0.1
# via aiohttp-client-cache
jedi==0.18.1
# via ipython
jinja2==3.0.3
# via
# cookiecutter
# jinja2-time
# nbconvert
# pelican
# pelican-planet
jinja2-time==0.2.0
# via cookiecutter
jsonschema==4.4.0
# via nbformat
jupyter-client==7.1.1
# via nbclient
jupyter-core==4.9.1
# via
# jupyter-client
# nbconvert
# nbformat
jupyterlab-pygments==0.1.2
# via nbconvert
markdown==3.1.1
# via
# -r requirements.in
# pelican
markupsafe==2.0.1
# via jinja2
matplotlib-inline==0.1.3
# via ipython
mistune==0.8.4
# via nbconvert
multidict==5.2.0
# via
# aiohttp
# yarl
mypy-extensions==0.4.3
# via black
nbclient==0.5.10
# via nbconvert
nbconvert==6.4.0
# via pelican-liquid-tags
nbformat==5.1.3
# via
# nbclient
# nbconvert
nest-asyncio==1.5.4
# via
# jupyter-client
# nbclient
packaging==21.3
# via bleach
pandocfilters==1.5.0
# via nbconvert
parso==0.8.3
# via jedi
pathspec==0.9.0
# via black
pelican[markdown]==4.7.1
# via
# -r requirements.in
# m.css
# pelican-ashwinvis
# pelican-liquid-tags
# pelican-planet
# pelican-redirect
# pelican-sitemap
pelican-liquid-tags==1.0.1
# via -r requirements.in
pelican-redirect==1.0.2
# via -r requirements.in
pelican-sitemap==1.0.2
# via -r requirements.in
pexpect==4.8.0
# via ipython
pickleshare==0.7.5
# via ipython
platformdirs==2.4.1
# via black
poyo==0.5.0
# via cookiecutter
prompt-toolkit==3.0.24
# via ipython
ptyprocess==0.7.0
# via pexpect
pure-eval==0.2.1
# via stack-data
pycares==4.1.2
# via aiodns
pycparser==2.21
# via cffi
pygments==2.11.2
# via
# ipython
# jupyterlab-pygments
# nbconvert
# pelican
# rich
pyparsing==3.0.6
# via packaging
pyrsistent==0.18.1
# via jsonschema
python-dateutil==2.8.2
# via
# -r requirements.in
# arrow
# ghp-import
# jupyter-client
# pelican
# pelican-planet
python-forge==18.6.0
# via aiohttp-client-cache
python-slugify==5.0.2
# via cookiecutter
pytz==2021.3
# via
# feedgenerator
# pelican
pyyaml==6.0
# via -r requirements.in
pyzmq==22.3.0
# via jupyter-client
requests==2.27.1
# via
# cookiecutter
# webmention-tools
restructuredtext-lint==1.3.0
# via -r requirements.in
rich==11.0.0
# via pelican
sgmllib3k==1.0.0
# via feedparser
six==1.16.0
# via
# asttokens
# bleach
# cookiecutter
# python-dateutil
# url-normalize
soupsieve==2.3.1
# via beautifulsoup4
stack-data==0.1.4
# via ipython
testpath==0.5.0
# via nbconvert
text-unidecode==1.3
# via python-slugify
tomli==1.2.3
# via black
toolz==0.11.2
# via -r requirements.in
tornado==6.1
# via jupyter-client
traitlets==5.1.1
# via
# ipython
# jupyter-client
# jupyter-core
# matplotlib-inline
# nbclient
# nbconvert
# nbformat
typing-extensions==4.0.1
# via
# aiosqlite
# black
unidecode==1.3.2
# via pelican
url-normalize==1.4.3
# via aiohttp-client-cache
urllib3==1.26.8
# via requests
wcwidth==0.2.5
# via prompt-toolkit
webencodings==0.5.1
# via bleach
webmention-tools==0.4.1
# via pelican-ashwinvis
yarl==1.7.2
# via aiohttp
zipp==3.7.0
# via importlib-resources
# The following packages are considered to be unsafe in a requirements file:
# setuptools